package com.ruoyi.web.domain;

import com.baomidou.mybatisplus.annotation.*;
import com.ruoyi.common.annotation.Excel;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 客户-部门-岗位关联对象 tg_customer_dept_post_rel
 *
 * @author ruoyi
 * @date 2025-04-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Builder
@TableName("tg_customer_dept_post_rel")
public class CustomerDeptPostRel
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /** 客户id */
    @Excel(name = "客户id")
    @TableField("customer_id")
    private Long customerId;

    /** 部门id */
    @Excel(name = "部门id")
    @TableField("dept_id")
    private Long deptId;

    /** 岗位id */
    @Excel(name = "岗位id")
    @TableField("post_id")
    private Long postId;

}