package com.ruoyi.web.model.dto;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 设备基础信息表
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class DeviceInfoBaseInfoDto {

    @ApiModelProperty(name = "设备名称")
    private String deviceName;

    @ApiModelProperty(name = "设备型号")
    private String deviceModel;

    @ApiModelProperty(name = "设备编码")
    private String deviceCode;
}
