package com.ruoyi.web.model.index;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@ApiModel("首页-展示统计接口,维保概览")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class MaintainCountDto {

    @ApiModelProperty("客户名称")
    private String customerName;

    @ApiModelProperty("设备编码")
    private String deviceCode;

    @ApiModelProperty("设备出厂测试结果数量")
    private Long factoryTestCount;

    @ApiModelProperty("设备安装数量")
    private Long  installationCount;

    @ApiModelProperty("设备维护保养数量")
    private Long maintainCount;

    @ApiModelProperty("设备维修数量")
    private Long repairCount;

    @ApiModelProperty("耗材更换数量")
    private Long consumableCount;

    @ApiModelProperty("维保总数量")
    private Long totalCount;

}
