package com.ruoyi.web.model.index;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@ApiModel("首页-展示统计接口,数据概览")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class OverViewDto {

    @ApiModelProperty(value = "客户总数")
    private Integer customerCount;

    @ApiModelProperty(value = "设备数")
    private Integer deviceCount;

    @ApiModelProperty(value = "维保数")
    private Integer maintainCount;

    @ApiModelProperty(value = "在线设备数")
    private Integer onlineCount;

    @ApiModelProperty(value = "离线设备数")
    private Integer offlineCount;
}
