package com.ruoyi.web.domain;

import com.baomidou.mybatisplus.annotation.*;
import com.ruoyi.common.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 设备型号对象 tg_device_model
 *
 * @author cx
 * @date 2025-04-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tg_device_model")
public class DeviceModel extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 设备型号id */
    @TableId(value = "id", type = IdType.AUTO)
    private String id;

    /** 设备型号 */
    @Excel(name = "设备型号")
    @TableField("device_model")
    private String deviceModel;

    /** 设备图片 */
    @Excel(name = "设备图片")
    @TableField("device_pic")
    private String devicePic;

}