package com.ruoyi.web.model.dto;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 新建客户DTO
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel("新建客户DTO")
public class CreateCustomerDto {

    @ApiModelProperty(name = "客户名称")
    private String customerName;

    @ApiModelProperty(name = "负责人")
    private String leader;

    @ApiModelProperty(name = "联系方式")
    private String phone;

    @ApiModelProperty(name = "联系地址")
    private String address;
}
