package com.ruoyi.web.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel("客户岗位列表DTO")
public class CustomerDeptPostRelDto {

    @ApiModelProperty(name = "id")
    private Long id;

    @ApiModelProperty(name = "客户id")
    private Long customerId;

    @ApiModelProperty(name = "部门id")
    private Long deptId;

    @ApiModelProperty(name = "岗位id")
    private Long postId;

    @ApiModelProperty(name = "岗位名称")
    private String postName;

    @ApiModelProperty(name = "部门名称")
    private String deptName;

    @ApiModelProperty(name = "客户名称")
    private String customerName;

    @ApiModelProperty(name = "创建人")
    private String createBy;

    @ApiModelProperty(name = "创建时间")
    private Date createTime;
}
