package com.ruoyi.web.mqTask.conf;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * @author cx
 * @date 2025/04/09 10:12
 */
@Configuration
@Data
@ConfigurationProperties(prefix = "mqtt.config")
public class MqttConnectConfPros {

    private String serverUri;
    private String username;
    private String password;
    private String clientId;
    private Integer keepAliveInterval;
    private Integer connectionTimeout;
    private String willTopic;

}
