package com.ruoyi.web.mqTask.impl;

import com.ruoyi.web.mqTask.mqtt.MqttListener;
import com.ruoyi.web.mqTask.mqtt.MqttSubscription;
import lombok.extern.slf4j.Slf4j;
import org.eclipse.paho.client.mqttv3.MqttMessage;

/**
 * @author cx
 * @date 2025/04/09 10:38
 */
@MqttSubscription(topic = "test1")
@Slf4j
public class VoidConsumer implements MqttListener {

    @Override
    public void consume(MqttMessage mqttMessage) {
        log.info("Topic {} Received Message: {}", mqttMessage.getPayload(), new String(mqttMessage.getPayload()));
    }
}
